Subject: bug#50518: Minor doc bug: pop-up-frames

From: [email-masked]
Date: Sat, 11 Sep 2021 17:50:53 +0000

I understand, don't mark it obsolete, but the docstring should say something about not using it in new code.

September 11, 2021 4:43 PM, "martin rudalics" <[email-masked]> wrote:

>> The variable pop-up-frames is not marked obsolete nor does the
> 
>> docstring say it exists for backward compatibility -- only the
>> Info manual says it. As a result, it's an unnecessary confusing
>> factor while you are exploring the display-buffer machinery.
> 
> `pop-up-frames' is semi-obsolete. Making it obsolete would give too
> many warnings - it's way too often used in our code base.
> 
> The Info manual says that "This variable is provided mainly for backward
> compatibility." It should not be used in new code because there is no
> guarantee that it will work - newer functions might not pay attention to
> it.
> 
> martin